<?php
/**
 * Created by JetBrains PhpStorm.
 * User: Luis
 * Date: 16/12/13
 * Time: 20:55
 * To change this template use File | Settings | File Templates.
 */

use Fuel\Core\DB;
use Fuel\Core\Response;
use \Parser\View;
use Auth\Auth;

class Controller_Dashboard_Index extends \Controller_App{

    //Variable para guardar las migas de pan que van a aparecer en las vistas
    private $_bc = array();

    //Array con los elementos del menu que se deben marcar con la clase "active" para que esten seleccionados en el menu.
    private $_option_menu=array('dashboard');

    public function before(){

        //Se cargan funciones de javascript especificas de esta funcionalidad
        Casset::js('dashboard/index.js');

        //Se marca la navegación en forma de migas de pan. Cada miga de pan la forman dos variables:
        //  ds  : String a mostrar
        //  url : url del enlace en modo absoluto
        $this->_bc[] = array('ds'=>'Inicio','url'=>'/dashboard');

        parent::before();
    }

    public function action_index(){

        $view = View::forge('dashboard/index.twig');

        //Titulo de la vista
        $view->title = "Cuadro de Mandos";

        //Paso de las migas de pan a la vista
        $view->bc = $this->_bc;

        //Paso de las opciones de menu que deben aparecer seleccionadas
        $view->option_menu = $this->_option_menu;


        return Response::forge($view);
    }

}